%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name Pillow

Name: python%{python_suffix}-%{pypi_name}
Version: 8.3.1
Release: 1
License: Python-2.0
Summary: Python Imaging Library
Url: https://pandas.pydata.org/

Source0: https://files.pythonhosted.org/packages/source/P/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip

BuildRequires: freetype-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: zlib-devel


%description
Pillow is the friendly fork of PIL, the Python Imaging Library.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{python_sitelib}/PIL
%{python_sitelib}/Pillow*

%changelog
* Wed Jul 07 2021 Kevin Adler <kadler@us.ibm.com> - 8.3.1
- Update to 8.3.1
- Build with libtiff and libwebp

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 5.0.0
- Port to Python 3.9
- Use macros from python-rpm-macros

* Tue Jul 28 2020 Mark Irish <mirish@ibm.com> - 5.0.0
- Correct URL to use HTTPS to avoid permanent HTTP redirect

* Tue Mar 19 2019 - Kevin Adler <kadler@us.ibm.com>
- Build with freetype support
- Clean up summary and description

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Remove -I and --no-deps from install cmd to ensure package deps set correctly

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Use py_ver macro for future python compatibility

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded setuptools and wheel build requirements

* Fri Jul 06 2018 - mengxumx <mengxumx@cn.ibm.com>
- Add missing zlib-devel BuildRequires

* Fri Jul 06 2018 - mengxumx <mengxumx@cn.ibm.com>
- Initial spec file
